import { TextXform } from "@excel/xlsx/xform/strings/text-xform";
import { FontXform } from "@excel/xlsx/xform/style/font-xform";
import { BaseXform } from "@excel/xlsx/xform/base-xform";
interface RichTextModel {
    font?: any;
    text: string;
}
declare class RichTextXform extends BaseXform {
    private _textXform?;
    private _fontXform?;
    parser: any;
    constructor(model?: RichTextModel);
    get tag(): string;
    get textXform(): TextXform;
    get fontXform(): FontXform;
    render(xmlStream: any, model?: RichTextModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
    static FONT_OPTIONS: {
        tagName: string;
        fontNameTag: string;
    };
}
export { RichTextXform };
